[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusBar.Create

Constructor for the class instance.

## Declaration

Source position: comctrls.pp line 165

`public constructor TStatusBar.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the constructor for TStatusBar. It calls the inherited Create method, and initializes a number of local variables, including:

- AutoHint
- Canvas
- ControlStyle
- Color
- Align
- AutoSize
- SimplePanel

## See also

TComponent.Create
TWinControl.Create |  | Constructor for the class instance.